Subject: [perpass] RFC compliance and the European Parliament

From: JOSEFSSON Erik <[email-masked]>
Date: Mon, 9 Jun 2014 11:00:41 +0000

I need help from the standards community with regards to RFC-compliance in the European Parliament.

I reach out here because I believe you expect your work on improving the internet will be implemented, maybe in particular by public bodies we hold to a higher standard wrt transparency than others[0].

In an Access to Documents request the EP just stated that "conformity with RFC-5321 section 3.9 is by nature outside EP’s responsibilities" [1].

Do you agree? Are there RFCs which correct implementation would, by nature, fall within the responsibilities of the EP?

I hope this is of sufficient general interest to warrant a question on this list.

Please find a link to our documentation of the particular issue with RFC-5321 section 3.9 below[2]

Best regards.

//Erik

[0] http://www.europarl.europa.eu/sides/getDoc.do?pubRef=-//EP//TEXT+RULES-EP+20140310+RULE-103+DOC+XML+V0//EN&language=EN
[1] http://www.asktheeu.org/en/request/interoperability_with_the_eps_ma
[2] http://pad.epfsug.eu/p/IAG-percent-hack

Problem statement:

  *   The mail server of the European Parliament does not allow incoming messages that come from another server, but have a @europarl.europa.eu address in the From: header

  *   The result was that:

  *   email from non-EP addresses would be delivered without a problem, even to people subscribed with an EP address

  *   email from EP addresses would be delivered without a problem to people subscribed with a non-EP address, but not to people subscribed with an EP address

Solution:

  *   The address rewriting functionality [1] in Exim is used to replace a From: address of the form [email-masked] with the form [email-masked]

  *   This is done with a single configuration file: /etc/exim4/conf.d/rewrite/90_europarl, whose content is a single line regular expression:

  *   ^([^@]+)@europarl\.europa\.eu [email-masked] fF

  *   Additionally, it is necessary to tell Sympa to accept messages from addresses containing the % sign (it normally doesn't)

  *   This is done by modifying the regular expression in line 55 of the file /usr/share/sympa/lib/tools.pm, like this:

  *   from this: my %regexp = ('email' => '([\w\-\_\.\/\+\=\'\&]+|\".*\")\@[\w\-]+(\.[\w\-]+)+',

  *   to this:   my %regexp = ('email' => '([\w\-\_\.\/\+\=\'\&\%]+|\".*\")\@[\w\-]+(\.[\w\-]+)+',

References:
    [1] http://www.exim.org/exim-html-current/doc/html/spec_html/ch-address_rewriting.html